# -*- coding: utf-8 -*-
from odoo import api, models
from .base_suspend_security import BaseSuspendSecurityUid


class Base(models.AbstractModel):

    _inherit = 'base'

    @api.model
    def jdg_sudo(self):
        context = dict(self.env.context)
        context.update({
            'force_user_with_admin': self._uid
        })
        return self.with_context(context)
